<?php
/*
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of MAGIX CMS.
# MAGIX CMS, The content management system optimized for users
# Copyright (C) 2008 - 2013 sc-box.com <support@magix-cms.com>
#
# OFFICIAL TEAM :
#
#   * Gerits Aurelien (Author - Developer) <aurelien@magix-cms.com> <contact@aurelien-gerits.be>
#
# Redistributions of files must retain the above copyright notice.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# -- END LICENSE BLOCK -----------------------------------

# DISCLAIMER

# Do not edit or add to this file if you wish to upgrade MAGIX CMS to newer
# versions in the future. If you wish to customize MAGIX CMS for your
# needs please refer to http://www.magix-cms.com for more information.
*/
/**
 * Author: Gerits Aurelien <aurelien[at]magix-cms[point]com>
 * Copyright: MAGIX CMS
 * Date: 17/02/13
 * Time: 16:35
 * License: Dual licensed under the MIT or GPL Version
 */
class frontend_model_config extends frontend_db_config{
	protected $template;

	/**
	 * frontend_model_config constructor.
	 * @param $model
	 */
	public function __construct($model)
	{
		$this->template = $model;
	}

	/**
	 *
	 */
    public function load_data_setting(){
        $data = parent::s_data_setting();
        $assign_exclude = array(
            'webmaster','analytics','magix_version'
        );
        foreach($data as $key){
            if( !(in_array($key['setting_id'],$assign_exclude) ) ){
				$this->template->assign($key['setting_id'],$key['setting_value']);
            }
        }

		$detect = new Mobile_Detect;
		$mobile = false;
		if( $detect->isMobile() && !$detect->isTablet() ){
			$mobile = true;
		}
		$this->template->assign('mobileBrowser', $mobile);
    }
}
?>